Bug 889457 - [abrt] git-1.8.0.2-1.fc18: cmd_branch: Process /usr/bin/git was killed by signal 11 (SIGSEGV)
Summary: [abrt] git-1.8.0.2-1.fc18: cmd_branch: Process /usr/bin/git was killed by sig...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:132071afe17278fd4974bfde356...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 09:39 UTC by Albert Deuzeman
Modified: 2014-02-05 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 14:05:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (83.56 KB, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: core_backtrace (347 bytes, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: dso_list (555 bytes, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: environ (7.86 KB, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: maps (2.78 KB, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: open_fds (105 bytes, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: proc_pid_status (919 bytes, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details
File: var_log_messages (4.58 KB, text/plain)
2012-12-21 09:39 UTC, Albert Deuzeman
no flags Details

Description Albert Deuzeman 2012-12-21 09:39:30 UTC
Description of problem:
1. Go into a detached HEAD state for an existing branch by checking out some commit before the latest.
2. Forget you just did that... :)
3. Attempt to set an upstream branch, i.e. 'git branch -u origin/repo_branch' .
4. Git segfaults.

No serious consequences of this, but it's a little sloppy and mildly confusing. I would have expected a message about being in a detached HEAD state.

Version-Release number of selected component:
git-1.8.0.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        git branch -u deuzeman/numerical_deriv
crash_function: cmd_branch
executable:     /usr/bin/git
kernel:         3.6.11-3.fc18.x86_64
remote_result:  570010
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 cmd_branch at builtin/branch.c:886
 #1 run_builtin at git.c:306
 #2 handle_internal_command at git.c:467
 #3 run_argv at git.c:513

Comment 1 Albert Deuzeman 2012-12-21 09:39:34 UTC
Created attachment 667135 [details]
File: backtrace

Comment 2 Albert Deuzeman 2012-12-21 09:39:36 UTC
Created attachment 667136 [details]
File: cgroup

Comment 3 Albert Deuzeman 2012-12-21 09:39:38 UTC
Created attachment 667137 [details]
File: core_backtrace

Comment 4 Albert Deuzeman 2012-12-21 09:39:41 UTC
Created attachment 667138 [details]
File: dso_list

Comment 5 Albert Deuzeman 2012-12-21 09:39:43 UTC
Created attachment 667139 [details]
File: environ

Comment 6 Albert Deuzeman 2012-12-21 09:39:45 UTC
Created attachment 667140 [details]
File: limits

Comment 7 Albert Deuzeman 2012-12-21 09:39:47 UTC
Created attachment 667141 [details]
File: maps

Comment 8 Albert Deuzeman 2012-12-21 09:39:50 UTC
Created attachment 667142 [details]
File: open_fds

Comment 9 Albert Deuzeman 2012-12-21 09:39:53 UTC
Created attachment 667143 [details]
File: proc_pid_status

Comment 10 Albert Deuzeman 2012-12-21 09:39:55 UTC
Created attachment 667144 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-12-21 10:01:35 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 14:05:41 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.